Skip to content

Get Comment ​

MCP tool
get_commentGet Comment
Rate limit
Default
Scope
comments:read

Returns a comment.

Example ​

bash
curl 'https://api.youvico.com/api/comments/2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6' \
  -H 'Authorization: Bearer YOUR_API_KEY'
json
{
  "data": {
    "id": "2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6",
    "content": "Please tighten the logo safe area.",
    "anchor": 12000,
    "duration": 3000,
    "createdAt": "2026-04-10 08:00:00.482913",
    "updatedAt": "2026-04-10 08:05:12.118204",
    "deletedAt": null,
    "attachments": [
      {
        "id": "CA1234567890ABCD",
        "name": "review-note.pdf",
        "mimeType": "application/pdf",
        "size": 1250000
      }
    ],
    "parent": null,
    "author": {
      "id": "f6035d1a-29df-4d80-8d72-f1bbdddfb6ff",
      "name": "Jin Seo",
      "avatarUrl": "https://cdn.youvico.com/users/f6035d1a-29df-4d80-8d72-f1bbdddfb6ff/A1b2C3d4E5f6G7h8I9j0K1l2M3n4O5p6.avif"
    },
    "project": {
      "id": "bdbff5de-96d7-468f-9db0-85fe28bd6b62",
      "name": "Launch Campaign"
    },
    "file": {
      "id": "FX1234567890ABCD",
      "name": "launch-cut.mp4"
    }
  }
}

Request ​

Path ​

idstringrequired
Comment ID

Response ​

Returns 200 OK.

dataobject
Comment
data.idstring
Comment ID

Example: 2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6

data.contentstring
Comment text

Example: Please tighten the logo safe area.

data.anchornumber?
Video timestamp in milliseconds, or 1-based document page number

Example: 12000

data.durationnumber?
Duration in the same unit as anchor

Example: 3000

data.createdAtstring
Comment creation date

Example: 2026-04-10 08:00:00.482913

data.updatedAtstring
Comment last updated date

Example: 2026-04-10 08:05:12.118204

data.deletedAtstring?
Comment deletion date. Always null

Example: null

data.attachmentsarray
Comment attachments
data.attachments[].idstring
Comment attachment ID

Example: CA1234567890ABCD

data.attachments[].namestring
Attachment file name

Example: review-note.pdf

data.attachments[].mimeTypestring?
Attachment MIME type

Example: application/pdf

data.attachments[].sizenumber
Attachment size in bytes

Example: 1250000

data.parentobject?
Parent comment

Example: null

data.parent.idstring
Parent comment ID
data.authorobject?
Comment author
data.author.idstring
Author user ID

Example: f6035d1a-29df-4d80-8d72-f1bbdddfb6ff

data.author.namestring
Author display name

Example: Jin Seo

data.author.avatarUrlstring?
Author avatar URL

Example: https://cdn.youvico.com/users/f6035d1a-29df-4d80-8d72-f1bbdddfb6ff/A1b2C3d4E5f6G7h8I9j0K1l2M3n4O5p6.avif

data.projectobject
Project
data.project.idstring
Project ID

Example: bdbff5de-96d7-468f-9db0-85fe28bd6b62

data.project.namestring
Project name

Example: Launch Campaign

data.fileobject?
File. Null for a project comment
data.file.idstring
File ID

Example: FX1234567890ABCD

data.file.namestring
File name

Example: launch-cut.mp4